## bloonstd 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(SDL_Game)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++")
include_directories(include)
find_package(Boost REQUIRED COMPONENTS filesystem)
include_directories(${Boost_INCLUDE_DIRS})
link_directories(lib)
link_libraries(mingw32 SDL2main SDL2 SDL2_image SDL2_gfx SDL2_ttf)
add_executable(SDL_Game src/SDL_FontCache.c src/SDL_FontCache.h src/main.cpp src/Game.cpp src/Game.h src/Entity.h src/Component.h src/System.h src/systems/RenderSystem.cpp src/systems/RenderSystem.h src/components/Visibility.cpp src/components/Visibility.h src/components/Velocity.cpp src/components/Velocity.h src/systems/MovementSystem.cpp src/systems/MovementSystem.h src/components/Position.h src/components/PathIndex.h src/GameData.h src/components/Sequence.cpp src/components/Sequence.h src/systems/BloonsSpawnSystem.cpp src/systems/BloonsSpawnSystem.h src/GameData.cpp src/components/Action.h src/systems/EventSystem.cpp src/systems/EventSystem.h src/components/Draggable.h src/systems/DraggingSystem.cpp src/systems/DraggingSystem.h src/Settings.h src/systems/RemoveEntitiesSystem.cpp src/systems/RemoveEntitiesSystem.h src/components/MoveEntityEvent.h src/components/RangeShadow.h src/Physics.cpp src/Physics.h src/systems/CollisionSystem.cpp src/systems/CollisionSystem.h src/systems/ShotsSpawnSystem.cpp src/systems/ShotsSpawnSystem.h src/components/IntegerComponents.h src/components/FloatComponents.h src/components/AttackSpeed.h src/components/AttackSpeed.cpp src/components/PoppedBloons.h src/systems/DamageSystem.cpp src/systems/DamageSystem.h src/components/FlagComponents.h src/System.cpp src/Entity.cpp src/components/DamageEvent.h src/systems/MenuSystem.cpp src/systems/MenuSystem.h src/components/Regrow.h src/systems/LoadLevelSystem.cpp src/systems/LoadLevelSystem.h src/components/Goo.h src/components/Upgrades.h src/systems/PopEffectSystem.cpp src/systems/PopEffectSystem.h)
target_link_libraries(SDL_Game ${Boost_LIBRARIES})

=== debian/changelog ===
bloonstd (1.0.1-2) groovy; urgency=medium

  * Resize application icon
  * Fix debian copyright file
  * Fix asset paths for the linux filesystem hierarchy thing

 -- Chris <dpkg@chris-nz.com>  Wed, 07 Apr 2021 01:11:15 +1200

bloonstd (1.0.1-1) groovy; urgency=medium

  * Initial release for groovy

 -- Chris <dpkg@chris-nz.com>  Sun, 04 Apr 2021 19:43:00 +1300

=== debian/control ===
Source: bloonstd
Section: games
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
Build-Depends: debhelper-compat (= 12),
            cmake,
            libboost-filesystem-dev,
            libsdl2-dev,
            libsdl2-gfx-dev,
            libsdl2-image-dev,
            libsdl2-ttf-dev
Standards-Version: 4.4.1
Homepage: https://github.com/idomoz/BloonsTD

Package: bloonstd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A remake of Ninja Kiwi's BTD5 + BTD6 games
 Bloons TD is a Tower Defense game.
 The premise is simple: buy turrets (monkeys) and position them
 such that they can pop the largest possible number of balloons.
 The balloons travel on a fixed path past the turrets,
 and the player's job is to prevent any of the balloons from
 reaching the end of the path.
